## valgrind 3.2.0

=== VEX/Makefile ===

PUB_HEADERS = 	pub/libvex_basictypes.h 		\
		pub/libvex_ir.h				\
		pub/libvex.h				\
		pub/libvex_trc_values.h			\
		pub/libvex_emwarn.h			\
		pub/libvex_guest_x86.h			\
		pub/libvex_guest_amd64.h		\
		pub/libvex_guest_arm.h			\
		pub/libvex_guest_ppc32.h		\
		pub/libvex_guest_ppc64.h		\
		pub/libvex_guest_offsets.h

PRIV_HEADERS = 	priv/host-x86/hdefs.h			\
		priv/host-amd64/hdefs.h			\
		priv/host-arm/hdefs.h			\
		priv/host-ppc/hdefs.h			\
		priv/host-generic/h_generic_regs.h	\
		priv/host-generic/h_generic_simd64.h	\
		priv/main/vex_globals.h			\
		priv/main/vex_util.h			\
		priv/guest-generic/g_generic_x87.h	\
		priv/guest-generic/bb_to_IR.h		\
		priv/guest-x86/gdefs.h			\
		priv/guest-amd64/gdefs.h		\
		priv/guest-arm/gdefs.h			\
		priv/guest-ppc/gdefs.h			\
		priv/ir/irmatch.h			\
		priv/ir/iropt.h

LIB_OBJS = 	priv/ir/irdefs.o			\
		priv/ir/irmatch.o			\
		priv/ir/iropt.o				\
		priv/main/vex_main.o			\
		priv/main/vex_globals.o			\
		priv/main/vex_util.o			\
		priv/host-x86/hdefs.o			\
		priv/host-amd64/hdefs.o			\
		priv/host-arm/hdefs.o			\
		priv/host-ppc/hdefs.o			\
		priv/host-x86/isel.o			\
		priv/host-amd64/isel.o			\
		priv/host-arm/isel.o			\
		priv/host-ppc/isel.o			\
		priv/host-generic/h_generic_regs.o	\
		priv/host-generic/h_generic_simd64.o	\
		priv/host-generic/reg_alloc2.o		\
		priv/guest-generic/g_generic_x87.o	\
		priv/guest-generic/bb_to_IR.o		\
		priv/guest-x86/ghelpers.o		\
		priv/guest-amd64/ghelpers.o		\
		priv/guest-arm/ghelpers.o		\
		priv/guest-ppc/ghelpers.o		\
		priv/guest-x86/toIR.o			\
		priv/guest-amd64/toIR.o			\
		priv/guest-arm/toIR.o			\
		priv/guest-ppc/toIR.o

PUB_INCLUDES = -Ipub

# Do not add any priv/host-ARCH or priv/guest-ARCH directories to this
# list, as they contain duplicate file names (each host has a hdefs.h,
# for example).
PRIV_INCLUDES = -Ipriv


ifndef $(CC)
   CC = gcc 
endif 
ifndef $(AR)
   AR = ar 
endif

# Put -g -O2 after any flags we inherit from V.  -O2 vs -O
# makes a significant difference, at least with gcc4.
CCFLAGS = -Wall -Wmissing-prototypes -Wshadow -Winline \
		-Wpointer-arith -Wbad-function-cast -Wcast-qual \
		-Wcast-align -Wmissing-declarations \
		$(EXTRA_CFLAGS) -g -O2

#CC = icc
#CCFLAGS = -g -Wall -wd981 -wd279 -wd1287 -wd869 -wd111 -wd188 -wd186
# 981: operands are evaluated in unspecified order
# 279: controlling expression is constant
# 1287: invalid attribute for parameter
# 869: parameter "..." was never referenced
# 111: statement is unreachable
# 188: enumerated type mixed with another type
# (the above are for icc 8.0 -- 8.0.0.55 I think)
# 186: pointless comparison of unsigned integer with zero

# kludge: stops V biarch builds screwing up at -j 2 or above
# The Right fix is to autoconf/automake-ise vex.
.NOTPARALLEL:

all: vex

# Empty, needed for Valgrind
install:

scratch: clean version all

vex: libvex.a test_main.o
	$(CC) $(CCFLAGS) -o vex test_main.o libvex.a

libvex.a: $(LIB_OBJS)
	rm -f libvex.a
	$(AR) clq libvex.a $(LIB_OBJS)


# The idea with these TAG_s is to mark the flavour of libvex.a 
# most recently built, so if the same target is re-requested, we
# don't rebuild everything, but if a different one is requested
# then we scrub everything and start over.

libvex_x86_linux.a: TAG_x86_linux libvex.a
	mv -f libvex.a libvex_x86_linux.a
TAG_x86_linux:
	if [ ! -f TAG_x86_linux ] ; then rm -f $(LIB_OBJS) TAG_* libvex.a ; fi
	touch TAG_x86_linux

libvex_amd64_linux.a: TAG_amd64_linux libvex.a
	mv -f libvex.a libvex_amd64_linux.a
TAG_amd64_linux:
	if [ ! -f TAG_amd64_linux ] ; then rm -f $(LIB_OBJS) TAG_* libvex.a ; fi
	touch TAG_amd64_linux

libvex_ppc32_linux.a: TAG_ppc32_linux libvex.a
	mv -f libvex.a libvex_ppc32_linux.a
TAG_ppc32_linux:
	if [ ! -f TAG_ppc32_linux ] ; then rm -f $(LIB_OBJS) TAG_* libvex.a ; fi
	touch TAG_ppc32_linux

libvex_ppc64_linux.a: TAG_ppc64_linux libvex.a
	mv -f libvex.a libvex_ppc64_linux.a
TAG_ppc64_linux:
	if [ ! -f TAG_ppc64_linux ] ; then rm -f $(LIB_OBJS) TAG_* libvex.a ; fi
	touch TAG_ppc64_linux


# This doesn't get rid of priv/main/vex_svnversion.h, because
# that can't be regenerated in the final Valgrind tarball, and
# so if 'make clean' did get rid of it, then in the tarball,
# doing 'make ; make clean ; make' (or distclean) would fail.
clean:
	rm -f $(LIB_OBJS) *.a vex test_main.o TAG_* \
		pub/libvex_guest_offsets.h

version:
	rm -f priv/main/vex_svnversion.h
	echo -n "\""  > priv/main/vex_svnversion.h
	svnversion -n . >> priv/main/vex_svnversion.h
	echo "\""  >> priv/main/vex_svnversion.h

minidist: version
	rm -f vex--minidist-2005MMDD.tar
	tar cf vex--minidist-2005MMDD.tar $(PUB_HEADERS) $(PRIV_HEADERS) \
		priv/main/vex_svnversion.h			\
		test_main.c test_main.h				\
		Makefile					\
		`echo $(LIB_OBJS) | sed "s/\.o/\.c/g"`
	@echo 
	@echo minidist done, size and svnversion follow:
	@ls -l vex--minidist-2005MMDD.tar
	@cat priv/main/vex_svnversion.h
	@echo

pub/libvex_guest_offsets.h:
	$(CC) -Wall -g -o auxprogs/genoffsets auxprogs/genoffsets.c
	./auxprogs/genoffsets > pub/libvex_guest_offsets.h


ALL_HEADERS  = $(PUB_HEADERS) $(PRIV_HEADERS)
ALL_INCLUDES = $(PUB_INCLUDES) $(PRIV_INCLUDES)

test_main.o: $(PUB_HEADERS) test_main.c test_main.h
	$(CC) $(CCFLAGS) $(PUB_INCLUDES) -o test_main.o \
					 -c test_main.c

priv/ir/irdefs.o: $(ALL_HEADERS) priv/ir/irdefs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/ir/irdefs.o \
					 -c priv/ir/irdefs.c

priv/ir/irmatch.o: $(ALL_HEADERS) priv/ir/irmatch.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/ir/irmatch.o \
					 -c priv/ir/irmatch.c

priv/ir/iropt.o: $(ALL_HEADERS) priv/ir/iropt.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/ir/iropt.o \
					 -c priv/ir/iropt.c

priv/main/vex_main.o: $(ALL_HEADERS) priv/main/vex_main.c \
					priv/main/vex_svnversion.h
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/main/vex_main.o \
					 -c priv/main/vex_main.c

priv/main/vex_globals.o: $(ALL_HEADERS) priv/main/vex_globals.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/main/vex_globals.o \
					 -c priv/main/vex_globals.c

priv/main/vex_util.o: $(ALL_HEADERS) priv/main/vex_util.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/main/vex_util.o \
					 -c priv/main/vex_util.c

priv/host-x86/hdefs.o: $(ALL_HEADERS) priv/host-x86/hdefs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-x86/hdefs.o \
					 -c priv/host-x86/hdefs.c

priv/host-amd64/hdefs.o: $(ALL_HEADERS) priv/host-amd64/hdefs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-amd64/hdefs.o \
					 -c priv/host-amd64/hdefs.c

priv/host-arm/hdefs.o: $(ALL_HEADERS) priv/host-arm/hdefs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-arm/hdefs.o \
					 -c priv/host-arm/hdefs.c

priv/host-ppc/hdefs.o: $(ALL_HEADERS) priv/host-ppc/hdefs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-ppc/hdefs.o \
					 -c priv/host-ppc/hdefs.c

priv/host-x86/isel.o: $(ALL_HEADERS) priv/host-x86/isel.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-x86/isel.o \
					 -c priv/host-x86/isel.c

priv/host-amd64/isel.o: $(ALL_HEADERS) priv/host-amd64/isel.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-amd64/isel.o \
					 -c priv/host-amd64/isel.c

priv/host-arm/isel.o: $(ALL_HEADERS) priv/host-arm/isel.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-arm/isel.o \
					 -c priv/host-arm/isel.c

priv/host-ppc/isel.o: $(ALL_HEADERS) priv/host-ppc/isel.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-ppc/isel.o \
					 -c priv/host-ppc/isel.c

priv/host-generic/h_generic_regs.o: $(ALL_HEADERS) priv/host-generic/h_generic_regs.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-generic/h_generic_regs.o \
					 -c priv/host-generic/h_generic_regs.c

priv/host-generic/h_generic_simd64.o: $(ALL_HEADERS) priv/host-generic/h_generic_simd64.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-generic/h_generic_simd64.o \
					 -c priv/host-generic/h_generic_simd64.c

priv/host-generic/reg_alloc2.o: $(ALL_HEADERS) priv/host-generic/reg_alloc2.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/host-generic/reg_alloc2.o \
					 -c priv/host-generic/reg_alloc2.c

priv/guest-x86/toIR.o: $(ALL_HEADERS) priv/guest-x86/toIR.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-x86/toIR.o \
					 -c priv/guest-x86/toIR.c

priv/guest-generic/g_generic_x87.o: $(ALL_HEADERS) priv/guest-generic/g_generic_x87.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-generic/g_generic_x87.o \
					 -c priv/guest-generic/g_generic_x87.c

priv/guest-generic/bb_to_IR.o: $(ALL_HEADERS) priv/guest-generic/bb_to_IR.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-generic/bb_to_IR.o \
					 -c priv/guest-generic/bb_to_IR.c

priv/guest-x86/ghelpers.o: $(ALL_HEADERS) priv/guest-x86/ghelpers.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-x86/ghelpers.o \
					 -c priv/guest-x86/ghelpers.c

priv/guest-amd64/ghelpers.o: $(ALL_HEADERS) priv/guest-amd64/ghelpers.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-amd64/ghelpers.o \
					 -c priv/guest-amd64/ghelpers.c

priv/guest-amd64/toIR.o: $(ALL_HEADERS) priv/guest-amd64/toIR.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-amd64/toIR.o \
					 -c priv/guest-amd64/toIR.c

priv/guest-arm/ghelpers.o: $(ALL_HEADERS) priv/guest-arm/ghelpers.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-arm/ghelpers.o \
					 -c priv/guest-arm/ghelpers.c

priv/guest-arm/toIR.o: $(ALL_HEADERS) priv/guest-arm/toIR.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-arm/toIR.o \
					 -c priv/guest-arm/toIR.c

priv/guest-ppc/ghelpers.o: $(ALL_HEADERS) priv/guest-ppc/ghelpers.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-ppc/ghelpers.o \
					 -c priv/guest-ppc/ghelpers.c

priv/guest-ppc/toIR.o: $(ALL_HEADERS) priv/guest-ppc/toIR.c
	$(CC) $(CCFLAGS) $(ALL_INCLUDES) -o priv/guest-ppc/toIR.o \
					 -c priv/guest-ppc/toIR.c

## valgrind 2.2.0-4

=== debian/changelog ===
valgrind (1:2.2.0-4) unstable; urgency=low

  * debian/patches/18_cpp-stabs.dpatch:
    - This patch attempts to fix the parsing of C++ stabs involving ::
      delimiters.
  * debian/patches/19_pthread_attr_getinheritsched.dpatch:
    - Adds a dummy implementation of pthread_attr_getinheritsched.
  * debian/patches/20_pthread_condattr_getsetpshared.dpatch:
    - Adds a dummy implementation of pthread_condattr_getpshared and
      pthread_condattr_setpshared.
  * debian/valgrind.default:
    - Removed. Useless file that nobody uses. (Closes: #279705)
  * debian/debian.supp:
    - Appended python suppression file provided by python's maintainer.
  * debian/control:
    - Suggests valgrind-callgrind instead of valgrind-calltree.
      (Closes: #278621)
  * debian/valgrind.sh:
    - Some cosmetic changes.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 16 Nov 2004 18:44:04 +0000

valgrind (1:2.2.0-3) unstable; urgency=low

  * debian/patches/01_cachegrind.dpatch:
    - Cope with arguments over 510 characters in length when writing the
      cachegrind output file.
  * debian/patches/02_cachegrinderrno.dpatch:
    - This patch makes cachegrind report the reason why it was unable to open
      the output file.
  * debian/patches/15_pthread_mutexattr_gettype.dpatch:
    - Implements pthread_mutexattr_gettype().
  * debian/patches/16_pthread_mutex_lock.dpatch:
    - Warns about a possible deadlock on thread.
  * debian/patches/17_statvfs64.dpatch:
    - Fixed the statfs64 wrapper to look at the right argument for the stat
      buffer and added an fstatfs64 wrapper.
  * debian/valgrind.sh:
    - Adds /usr/X11R6/lib/debug to LD_LIBRARY_PATH. (closes: #274972)

 -- Andrés Roldán <aroldan@debian.org>  Thu, 14 Oct 2004 13:35:43 +0000

valgrind (1:2.2.0-2) unstable; urgency=medium

  * debian/patches/13_sched_setaffinity-getaffinity.dpatch:
    - Adds support for sched_setaffinity() and sched_getaffinity() syscalls.
  * debian/patches/14_ioctls.dpatch:
    - Adds support for the following ioctls:
      + TIOCMBIS.
      + TIOCMBIC.
      + SG_EMULATED_HOST.
      + SG_GET_SG_TABLESIZE.
      + CDROMMULTISESSION.
      + CDROMVOLREAD.
      + CDROMREADAUDIO.

 -- Andrés Roldán <aroldan@debian.org>  Fri, 10 Sep 2004 21:41:45 +0000

valgrind (1:2.2.0-1) unstable; urgency=low

  * New stable release. (closes: #234030)
  * Updated patches according to this new version.
  * Removed some patches already on upstream source.
  * Make debian.supp the default suppression file for Debian.

 -- Andrés Roldán <aroldan@debian.org>  Wed,  1 Sep 2004 23:44:33 +0000

valgrind (1:2.1.2-3) unstable; urgency=low

  * debian/patches/01_libpthread.dpatch:
    - Patch to improving the logic in valgrind's libpthread that handles 
      looking for functions in libc to forward to. If you have assertions
      like "Assertion `open_ptr != ((void *)0)", you may love this patch.
  * debian/patches/01_memcpy.dpatch:
    - Patch to remove warning when passing an uninitialized pointer to memcpy
      when length to copy is zero.
  * debian/patches/02_si_addr-SIGFPE.dpatch:
    - This patch should make valgrind fixup si_addr in the siginfo structure
      when SIGFPE is received so that it points at the right instruction.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 26 Aug 2004 19:16:34 +0000

valgrind (1:2.1.2-2) unstable; urgency=low

  * debian/patches/01_sfence.dpatch: New. Move the decoding of SFENCE out of
    the SSE only part of disInstr.
  * debian/patches/01_ssort.dpatch: New. ssort() failed when signed int return
    type from comparison is too small to handle result of unsigned int
    subtraction.
  * debian/patches/02_sbbl.dpatch: New. gcc sometimes generates "sbbl
    %reg,%reg" to convert the carry flag into 0 or -1 in reg.  This has no
    actual dependency on reg, but memcheck can't see that, and so will help 
    if reg contains garbage.
  * debian/valgrind.1: 
    + s/--logfile-fd/--log-fd/
    + s/--logfile/--log-file/
    + s/--logsocket/--log-socket/

 -- Andrés Roldán <aroldan@debian.org>  Sun,  8 Aug 2004 17:08:08 +0000 

valgrind (1:2.1.2-1) unstable; urgency=low

  * New upstream release. (See changelog) (closes: #248887, #258652)
  * Removed the following patches (already on upstream's package):
    - 01_hp2ps
    - 13_detailed_types
    - 14_db-attach
    - 15_async_io_syscalls.dpatch
    - 16_hdio_get_identity
    - 17_siocgmiiphy-siocgmiireg
  * Update the following patches:
    - 01_configure.dpatch
    - 01_vgPlain_do_syscall.dpatch
    - 11_exitcode.dpatch
    - 01_ipc_stuff.dpatch
    - 10_ansi-vg.dpatch
    - 12_readdir.dpatch
  * debian/patches/01_gettid.dpatch: New. Should closes: #238925

 -- Andrés Roldán <aroldan@debian.org>  Tue, 20 Jul 2004 21:12:16 +0000

valgrind (1:2.1.1-4) unstable; urgency=low

  * debian/valgrind.sh:
    - Quoted VALGRIND_OPTS to avoid conflicts with multiple pre-defined
      options. (closes: #245241)
  * debian/valgrind.1:
    - Documented gen-suppressions option. (closes: #243734)
    - sed -e 's/Valgrind/\\fIvalgrind\\fP/g' valgrind.1
  * debian/patches/15_async_io_syscalls.dpatch:
    - New. Adds support for asyncronous io syscalls.
  * debian/patches/16_hdio_get_identity.dpatch:
    - New. Addes support for HDIO_GET_IDENTITY syscall.
  * debian/patches/17_siocgmiiphy-siocgmiireg.dpatch:
    - New. Adds support SIOCGMIIPHY and SIOCGMIIREG.

 -- Andrés Roldán <aroldan@debian.org>  Sun, 20 Jun 2004 16:58:22 -0500

valgrind (1:2.1.1-3) unstable; urgency=low

  * debian/valgrind.1: Updated.
    - Added --track-fds description.
    - Added lax-ioctls weird hack description.
    - Added --db-attach description.
    - Added --db-command description.
    - Added --tool description.
    - Removed --gdb-attach description.
    - sed -e 's/skins/tools/g'
    - (closes: #241678, #241329)
  * debian/patches/14_db-attach.dpatch: New. Makes --db-attach=yes work again.
    (closes: #241676)
  * debian/patches/01_hp2ps.dpatch: New. Solves problem of massif creating


=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Andrés Roldán <aroldan@debian.org>
Uploaders: Juan Alvarez <jalvarez@fluidsignal.com>, Luis Bustamante <luferbu@fluidsignal.com>
Build-Depends: debhelper (>> 3.0.0), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb
Standards-Version: 3.6.1.0

Package: valgrind
Architecture: i386
Depends: ${shlibs:Depends}
Suggests: libc6-dbg, kcachegrind, valgrind-callgrind
Recommends: gdb
Description: A memory debugger for x86-linux
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted. 
 .
 Valgrind can debug more or less any dynamically-linked ELF Linux x86
 executable, without modification, recompilation, or anything, as long as it
 contains only classic x86 code (MMX/SSE/SSE2/3DNow! largely unsupported for
 the moment). There is experimental support for programs using libpthread.
 .
 Valgrind provides a generic infrastructure for supervising the execution of 
 programs called "tools". This is done by providing a way to instrument 
 programs in very precise ways, making it relatively easy to support 
 activities such as dynamic error detection and profiling. Available tools
 include Memcheck (a heavyweight memory checker), Cachegrind (a cache-miss 
 profiler), Addrcheck (a lightweight memory checker) and Helgrind (a 
 data-race detector), among others.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include /usr/share/dpatch/dpatch.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.sub config.guess: %: /usr/share/misc/%
	cp -a $< $@

configure: configure-stamp
configure-stamp: config.sub config.guess
	dh_testdir

	cat xfree-4.supp debian/debian.supp > debian.supp
	
	./configure --prefix=/usr

	touch configure-stamp

build: patch build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	#$(MAKE) regtest

	#/usr/bin/docbook-to-man debian/valgrind.sgml > valgrind.1

	touch build-stamp

clean: unpatch
	dh_testdir
	rm -f build-stamp configure-stamp
	dh_clean
	-$(MAKE) distclean
	rm -f config.status config.cache config.log 
	rm -rf debian/patched coregrind/.in_place
	rm -f debian.supp 


install_file=install -p -m644
install_bin=install -p -m755
install_dir=install -p -d -m755
target=$(CURDIR)/debian/valgrind

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/valgrind.
	$(MAKE) install DESTDIR=$(target)

	# Insert the wrapper
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	
	# This stuff comes from us

	$(install_file) debian.supp $(target)/usr/lib/valgrind 
	
	$(install_dir) $(target)/usr/share/doc/valgrind/html
	mv $(target)/usr/share/doc/valgrind/*.html \
           $(target)/usr/share/doc/valgrind/html

	$(install_dir) $(target)/usr/share/lintian/overrides/
	$(install_file) debian/overrides \
	           $(target)/usr/share/lintian/overrides/valgrind

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs -a NEWS upstream
	dh_installexamples
	#dh_strip # Intentional, at upstream's request.
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch

## valgrind 3.6.0~svn11254+nmu1

=== VEX/switchback/Makefile ===

all: switchback.c linker.c linker.h
	gcc -m64 -Wall -O -g -o switchback switchback.c linker.c ../libvex_ppc64_linux.a
#	gcc -Wall -O -g -o switchback switchback.c linker.c ../libvex.a

test_ppc:
	gcc -Wall -m64  -mregnames -O -c test_ppc_jm1.c

clean:
	rm -f switchback switchback.o linker.o

=== debian/changelog ===
valgrind (1:3.6.0~svn11254+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-upload as 1:3.6.0~svn11254+nmu1 since i386 already had
    1:3.6.0~svn11254+b1.
  * Set urgency to medium.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Oct 2010 17:27:09 +0200

valgrind (1:3.6.0~svn11254-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Man page misbuilt on i386": add docbook-xml to Build-Depends; thanks
    to Stefano Rivera for the analysis (closes: #597180).

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Oct 2010 00:16:51 +0200

valgrind (1:3.6.0~svn11254) unstable; urgency=low

  * New SVN snapshot.
    (Closes: #574810, #592345, #584912, #588997, #588263, #585809, #580210)
  * debian/control: Dropped build dependency on gcc-4.3 on amd64 (Closes: #559520)
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Removed. Already applied by upstream
  * debian/patches/01_more-vg-n-segments.dpatch
    - Increased VG_N_SEGMENTS to 25000 (Closes: #491195)
  * debian/README.Debian:
    - Updated (Closes: #433426)
  * debian/valgrind.bash:
    - Updated to make tools autocomplete well. (Closes: #549218)

 -- Andrés Roldán <aroldan@debian.org>  Mon, 09 Aug 2010 14:35:45 +0000

valgrind (1:3.5.0+3.6.0svn20100609-1) experimental; urgency=low

  * New SVN snapshot.

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Jun 2010 01:20:17 +0000

valgrind (1:3.5.0+3.6.0svn20100608-2) experimental; urgency=low

  * debian/rules:
    - Remove config.sub and config.guess symlinks before copying.
  * debian/control:
    - Added ARM as a supported architecture

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 20:37:48 +0000

valgrind (1:3.5.0+3.6.0svn20100608-1) experimental; urgency=low

  * New experimental release based on SVN trunk (2010/06/08)
  * debian/control:
    - Build-Depend on docbook, docbook-xsl and xsltproc to build documentation.
  * debian/rules
    - Create documentation
  * debian/manpages:
    - Added additional manpages

 -- Andrés Roldán <aroldan@debian.org>  Tue, 08 Jun 2010 17:25:27 +0000

valgrind (1:3.5.0-3) unstable; urgency=low

  * Rebuilt againts libc6 2.10.1.
  * debian/control:
    - Now libc6-dbg is a dependency (valgrind won't work without it now)
     (Closes: #556542, #556165, #553016)
    - Valkyrie added to suggested packages.

 -- Andrés Roldán <aroldan@debian.org>  Tue, 17 Nov 2009 15:12:26 +0000

valgrind (1:3.5.0-2) unstable; urgency=low

  * debian/control:
    - Added libc6-dev-i386 to build-dependencies on amd64. 
      May reopen #507752 but closes: #548067.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 24 Sep 2009 20:18:57 +0000

valgrind (1:3.5.0-1) unstable; urgency=low

  * New upstream version. (Closes: #545700)
  * debian/patches/02_version: 
    - Updated to fit this new version (Thanks to Andreas Beckmann)
  * debian/patches/01_pcm-ioctl.patch:
    - Updated
  * debian/patches/01_more-vg-n-threads.dpatch:
    - Added to increas VG_N_THREADS to 500. (Closes: #514133)
  * debian/docs:
    - ACKNOWLEDGEMENTS file is gone
  * debian/watch:
    - Added (Again, thanks to Andreas Beckmann)
  * debian/control:
    - Removed Uploaders field (Closes: #519380, #540834) 
  * debian/valgrind.bash:
    - Provides a first bash completion script for valgrind. (Closes: #539137)
      Thanks to Jerome Reybert
  * debian/debian.supp: 
    - Updated to fit Debian's libc6 2.10.x

 -- Andrés Roldán <aroldan@debian.org>  Wed, 09 Sep 2009 16:26:29 +0000

valgrind (1:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * debian/debian.supp:
    - Updated suppressions to fit libc6 2.9.x. (Closes: #516337, #516100)
  * debian/copyright:
    - Change the URL of valgrind to www.valgrind.org. (Closes: 	#518287)
  * debian/patches/01_valgrind.pc.dpatch:
    - Removed. Already fixed by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 05 Mar 2009 15:19:16 +0000

valgrind (1:3.4.0-1) unstable; urgency=low

  * New upstream release. (Closes: #512816)
  * debian/patches/01_valgrindrc.dpatch:
    - Removed. Already applied by upstream.

 -- Andrés Roldán <aroldan@debian.org>  Thu, 29 Jan 2009 21:13:26 +0000

valgrind (1:3.3.1-3) unstable; urgency=low

  * debian/patches/01_valgrindrc.dpatch:
    - New patch to avoid reading and executing .valgrindrc files unless done
      by the onwer of the file. This fixes CVE-2008-4865 (Closes: #507312)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 03 Dec 2008 16:42:11 +0000

valgrind (1:3.3.1-2) unstable; urgency=low

  * debian/rules:
    - Forgot to copy debian-libc6-dbg.supp to /usr/lib/valgrind. 
      (Closes: #486021)

 -- Andrés Roldán <aroldan@debian.org>  Fri, 13 Jun 2008 02:31:40 +0000

valgrind (1:3.3.1-1) unstable; urgency=low

  * New upstream version.
  * Re-debianized from the scratch.
  * debian/valgrind.sh:
    - Avoid to add the same suppression on programs that re-execute
      themselves. (Closes: #479165)
  * debian/control:
    - Made valgrind buildable for etch. (Closes: #472335)
  * Bumped standard version to 3.7.3 

 -- Andrés Roldán <aroldan@debian.org>  Wed, 11 Jun 2008 23:10:08 +0000

valgrind (1:3.3.0-1) unstable; urgency=low

  * New upstream release. (Closes: #455855)
    - Now valgrind will compile natively on glibc > 2.6
      (Closes: #453195, #441749)
    - Suppressions are now updated for the latest glibc on sid.
      (Closes: #356777)
  * debian/patches/01_amd64-nops.dpatch:
    - Removed, already applied by upstream.
  * debian/patches/01_suppression-strip.dpatch:
    - Removed. Don't be jealous of your brother, Andy :)
  * debian/patches/01_valgrind.pc.dpatch:
    - Corrects pkg-config information. (Closes: #452307)

 -- Andrés Roldán <aroldan@debian.org>  Wed, 12 Dec 2007 20:39:58 +0000

valgrind (1:3.2.3-3) unstable; urgency=low

  * debian/FAQ.txt:
    - Provided there to solve FTBFS if valgrind is built twice in a row
      (Closes: #424129)
  * debian/patches/01_amd64-nops.dpatch:
    - Patch to handle new way of writing NOPs by binutils. (Closes: #437503)


=== debian/control ===
Source: valgrind
Section: devel
Priority: optional
Maintainer: Andrés Roldán <aroldan@debian.org>
Build-Depends: debhelper (>> 3.0.0), libc6-dev (>> 2.3.0), autotools-dev, dpatch (>> 2.0.0), gdb, gcc-multilib [amd64], libc6-dev-i386 (>> 2.3.0) [amd64], docbook, docbook-xsl, docbook-xml, xsltproc
Standards-Version: 3.7.3.0

Package: valgrind
Architecture: i386 amd64 powerpc arm
Depends: ${shlibs:Depends}, libc6-dbg
Conflicts: valgrind-callgrind
Provides: valgrind-callgrind
Suggests: kcachegrind, alleyoop, valkyrie (>> 1.3.0)
Recommends: gdb
Description: A memory debugger and profiler
 Valgrind is a GPL'd tool to help you find memory-management problems in your
 programs. When a program is run under Valgrind's supervision, all reads and
 writes of memory are checked, and calls to malloc/new/free/delete are
 intercepted. 
 .
 Valgrind can debug more or less any dynamically-linked ELF x86/Linux, 
 amd64/Linux and ppc/Linux executables, without modification, recompilation, 
 or anything.
 .
 Valgrind provides a generic infrastructure for supervising the execution of
 programs called "tools". This is done by providing a way to instrument 
 programs in very precise ways, making it relatively easy to support 
 activities such as dynamic error detection and profiling. The Valgrind 
 distribution currently includes three tools: a memory error detectors, a 
 cache (time) profiler and a heap (space) profiler.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

config.sub config.guess: %: /usr/share/misc/%
	rm -f $@
	cp -a $< $@

config.status: config.sub config.guess
	dh_testdir
	cat xfree-4.supp debian/debian.supp > debian.supp
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man

build: patch build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	$(MAKE) -C docs man-pages
	$(MAKE) -C docs html-docs 
	touch build-stamp

clean: clean1 unpatch
clean1: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	-$(MAKE) distclean
	dh_clean

target=$(CURDIR)/debian/valgrind
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

	$(MAKE) install prefix=$(CURDIR)/debian/valgrind/usr

	# Debian stuff
	cp -f debian/debian-libc6-dbg.supp $(target)/usr/lib/valgrind
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	cp -f debian/valgrind.sh $(target)/usr/bin/valgrind
	chown root.root $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind
	chmod 755 $(target)/usr/bin/valgrind.bin $(target)/usr/bin/valgrind

	install -p -m644 debian.supp $(target)/usr/lib/valgrind
	install -p -d -m755 $(target)/usr/share/doc/valgrind/html
	install -p -d -m755 $(target)/usr/share/lintian/overrides
	install -p -m644 debian/overrides $(target)/usr/share/lintian/overrides/valgrind
	install -p -m644 debian/valgrind.bash $(target)/etc/bash_completion.d/valgrind


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs NEWS
	dh_link
	#dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch
